> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Minimax Tasks



## OpenAPI

````yaml /openapi/minimax.json post /minimax/tasks
openapi: 3.0.0
info:
  title: Minimax
  version: 1.0.0
  description: API reference for Minimax on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /minimax/tasks:
    post:
      summary: Minimax Tasks
      operationId: queryMinimaxTasks
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                action:
                  type: string
                  enum:
                    - retrieve
                    - retrieve_batch
                    - delete
                  default: retrieve
                  description: Minimax Tasks Action
                id:
                  type: string
                  description: Minimax Tasks Id
                ids:
                  type: array
                  items:
                    type: string
                  description: Minimax Tasks Ids
                limit:
                  type: integer
                  description: Minimax Tasks Limit
                offset:
                  type: integer
                  description: Minimax Tasks Offset
                created_at_min:
                  type: number
                  description: Minimax Tasks Created At Min
                created_at_max:
                  type: number
                  description: Minimax Tasks Created At Max
              example:
                action: retrieve
                id: c0f63a98-a7dc-4a09-a1fb-46d32b312a28
      responses:
        '200':
          description: Minimax Tasks Response 200
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    required:
                      - task
                    properties:
                      task:
                        $ref: '#/components/schemas/VideoTask'
                    example:
                      task:
                        id: c0f63a98-a7dc-4a09-a1fb-46d32b312a28
                        model: MiniMax-H3
                        status: succeeded
                        created_at: 1785125529
                        updated_at: 1785125946
                        content:
                          url: >-
                            https://cdn.acedata.cloud/minimax/c0f63a98-a7dc-4a09-a1fb-46d32b312a28.mp4
                        resolution: 2K
                        duration: 5
                        usage:
                          total_seconds: 5
                          input_seconds: 0
                          output_seconds: 5
                          input_image_count: 1
                        ratio: adaptive
                        task_type: generation
                        modality: video
                  - type: object
                    required:
                      - items
                      - total
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/VideoTask'
                        description: >-
                          Openapi.D6Cf922E378B4F838841E911B597134A.Items.Cabee47910Ff
                      total:
                        type: integer
                        description: >-
                          Openapi.D6Cf922E378B4F838841E911B597134A.Total.Edd0Da7E7Dd5
                  - type: object
                    required:
                      - id
                      - deleted
                    properties:
                      id:
                        type: string
                        description: >-
                          Openapi.D6Cf922E378B4F838841E911B597134A.Id.C1D17670Bae5
                      deleted:
                        type: boolean
                        description: >-
                          Openapi.D6Cf922E378B4F838841E911B597134A.Deleted.531B75A886D9
              example:
                task:
                  id: c0f63a98-a7dc-4a09-a1fb-46d32b312a28
                  model: MiniMax-H3
                  status: succeeded
                  created_at: 1785125529
                  updated_at: 1785125946
                  content:
                    url: >-
                      https://cdn.acedata.cloud/minimax/c0f63a98-a7dc-4a09-a1fb-46d32b312a28.mp4
                  resolution: 2K
                  duration: 5
                  usage:
                    total_seconds: 5
                    input_seconds: 0
                    output_seconds: 5
                    input_image_count: 1
                  ratio: adaptive
                  task_type: generation
                  modality: video
        '400':
          description: Minimax Tasks Response 400
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/InvalidJsonError'
                  - $ref: '#/components/schemas/GatewayError'
              example:
                code: bad_request
                detail: The request body must be a JSON object.
        '401':
          description: Minimax Tasks Response 401
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayError'
              example:
                error:
                  code: invalid_token
                  message: The token is invalid.
                trace_id: trace_7f8c2b1a
        '429':
          description: Minimax Tasks Response 429
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayError'
              example:
                error:
                  code: too_many_requests
                  message: Too many requests. Try again later.
                trace_id: trace_7f8c2b1a
        '500':
          description: Minimax Tasks Response 500
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayError'
              example:
                error:
                  code: api_error
                  message: The service is temporarily unavailable.
                trace_id: trace_7f8c2b1a
      security:
        - bearerAuth: []
components:
  schemas:
    VideoTask:
      type: object
      required:
        - id
        - model
        - status
        - task_type
        - modality
      properties:
        id:
          type: string
        model:
          type: string
          enum:
            - MiniMax-H3
        status:
          type: string
          enum:
            - queued
            - running
            - succeeded
            - failed
            - cancelled
        error:
          $ref: '#/components/schemas/TaskError'
        created_at:
          type: integer
        updated_at:
          type: integer
        content:
          type: object
          properties:
            url:
              type: string
              format: uri
        resolution:
          type: string
          enum:
            - 768P
            - 2K
        duration:
          type: integer
        usage:
          $ref: '#/components/schemas/TaskUsage'
        ratio:
          type: string
        task_type:
          type: string
          enum:
            - generation
        modality:
          type: string
          enum:
            - video
    InvalidJsonError:
      type: object
      required:
        - code
        - detail
      properties:
        code:
          type: string
          description: Openapi.D6Cf922E378B4F838841E911B597134A.Code.Eaba8Eb2D204
        detail:
          type: string
          description: Openapi.D6Cf922E378B4F838841E911B597134A.Detail.208Ca680D629
    GatewayError:
      type: object
      required:
        - error
        - trace_id
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              description: Openapi.D6Cf922E378B4F838841E911B597134A.Code.310E38D5A61D
            message:
              type: string
              description: Openapi.D6Cf922E378B4F838841E911B597134A.Message.529Fdc2D584D
        trace_id:
          type: string
          description: Openapi.D6Cf922E378B4F838841E911B597134A.Trace Id.3F20205A3Aa1
    TaskError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
    TaskUsage:
      type: object
      properties:
        total_seconds:
          type: integer
        input_seconds:
          type: integer
        output_seconds:
          type: integer
        input_image_count:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.